PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
MS_CTL_Type Struct Reference

## Description

Master control registers (MS_CTL)

## Data Fields
MS_CTL_MS_Type | MS [32]
__IM uint32_t | RESERVED [896]
MS_CTL_MS_PC_Type | MS_PC [32]
__IM uint32_t | RESERVED1 [896]
__IOM uint32_t | SYS_MS0_MSC_ACG_CTL
__IOM uint32_t | SYS_MS1_MSC_ACG_CTL
__IM uint32_t | RESERVED2 [2]
__IOM uint32_t | AXIDMAC0_MSC_ACG_CTL
__IOM uint32_t | AXIDMAC1_MSC_ACG_CTL
__IM uint32_t | RESERVED3 [6]
__IOM uint32_t | AXI_MS0_MSC_ACG_CTL
__IOM uint32_t | AXI_MS1_MSC_ACG_CTL
__IOM uint32_t | AXI_MS2_MSC_ACG_CTL
__IOM uint32_t | AXI_MS3_MSC_ACG_CTL
__IOM uint32_t | EXP_MS0_MSC_ACG_CTL
__IOM uint32_t | EXP_MS1_MSC_ACG_CTL
__IOM uint32_t | EXP_MS2_MSC_ACG_CTL
__IOM uint32_t | EXP_MS3_MSC_ACG_CTL

## Field Documentation

## ◆ MS

MS_CTL_MS_Type MS_CTL_Type::MS[32]

0x00000000 Master protection context control

## ◆ RESERVED

__IM uint32_t MS_CTL_Type::RESERVED[896]

## ◆ MS_PC

MS_CTL_MS_PC_Type MS_CTL_Type::MS_PC[32]

0x00001000 Master protection context value

## ◆ RESERVED1

__IM uint32_t MS_CTL_Type::RESERVED1[896]

## ◆ SYS_MS0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::SYS_MS0_MSC_ACG_CTL

0x00002000 SYS_MS0 master security Controller & ACG configuration

## ◆ SYS_MS1_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::SYS_MS1_MSC_ACG_CTL

0x00002004 SYS_MS1 master security Controller & ACG configuration

## ◆ RESERVED2

__IM uint32_t MS_CTL_Type::RESERVED2[2]

## ◆ AXIDMAC0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::AXIDMAC0_MSC_ACG_CTL

0x00002010 AXI DMAC0 MSC and ACG configuration

## ◆ AXIDMAC1_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::AXIDMAC1_MSC_ACG_CTL

0x00002014 AXI DMAC1 MSC and ACG configuration

## ◆ RESERVED3

__IM uint32_t MS_CTL_Type::RESERVED3[6]

## ◆ AXI_MS0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::AXI_MS0_MSC_ACG_CTL

0x00002030 AXI_MS0 master security Controller & ACG configuration

## ◆ AXI_MS1_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::AXI_MS1_MSC_ACG_CTL

0x00002034 AXI_MS1 master security Controller & ACG configuration

## ◆ AXI_MS2_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::AXI_MS2_MSC_ACG_CTL

0x00002038 AXI_MS2 master security Controller & ACG configuration

## ◆ AXI_MS3_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::AXI_MS3_MSC_ACG_CTL

0x0000203C AXI_MS3 master security Controller & ACG configuration

## ◆ EXP_MS0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::EXP_MS0_MSC_ACG_CTL

0x00002040 EXP_MS0 master security Controller & ACG configuration

## ◆ EXP_MS1_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::EXP_MS1_MSC_ACG_CTL

0x00002044 EXP_MS1 master security Controller & ACG configuration

## ◆ EXP_MS2_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::EXP_MS2_MSC_ACG_CTL

0x00002048 EXP_MS2 master security Controller & ACG configuration

## ◆ EXP_MS3_MSC_ACG_CTL

__IOM uint32_t MS_CTL_Type::EXP_MS3_MSC_ACG_CTL

0x0000204C EXP_MS3 master security Controller & ACG configuration